Page MenuHomePhabricator

Wikipedia.org Portal: (concern about) adding app download badge - availability at known locations for download (walled garden)
Closed, DeclinedPublic

Description

The Discovery team would like to add links to the Wikipedia apps near the bottom of the wikipedia.org portal page as this action will provide an introduction for our visitors who are interested in, or prefer to use, the platform-native mobile apps. Click here to view a sample mocked image that includes the app download badge for a mobile device.

This particular ticket is to describe a blocker, or other concern, raised by the community on the request for comment talk page about adding in wikipedia branded app badges onto the wikipedia.org portal page.

Concern from talk page (there are multiple concerns, not all are copied here):
What does this mean? Is it going to link directly to apk and ipa files? I assume you mean Google Play or the iOS App Store here?

Response from talk page (there are multiple responses, not all are copied here):
Most folks generally go to the google or apple store to get the apps that they're interested in which are verified virus free and also have the ability to get notifications of updates easily. Obviously, there are many other people that would rather bypass those stores (even for a free download) but I'm not sure that the Wikipedia Apps Team have the ability and/or time to create a separate download that can be loaded onto a mobile device.

Consideration for moving forward:

  1. Investigate creating a page that has all the download links for the wikipedia apps, that would include Google Play store, Apple iTunes store, f-droid download and Wikipedia.
    • Note that this would require an extra step for users to take, rather than just linking directly to the stores themselves
    • Note that not using the industry-wide accepted app download portals (google and apple stores), we run the risk of alienating some users who want the security and update notification that these stores provide.
    • Note that if we add a downloadable app into f-droid, we will need to contact them and arrange that this setup would be safe for downloading and to also to be sure we don't overload their servers
  1. Investigate adding in additional links to the Wikimedia and f-droid app download badges along with the google and apple badges.
    • Note that this would require contacting f-droid to ensure the app would be safe for download and to also to be sure we don't overload their servers
    • Note that this addition would require showing the app download badges to all mobile device users, not just Android or iOS, to be sure we don't leave appear to have preferences on download methods.

Event Timeline

debt created this task.Jun 28 2016, 8:18 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 28 2016, 8:18 PM
debt updated the task description. (Show Details)Jun 29 2016, 10:24 AM

( adding missing Wikimedia-Portals to Projects/Tags)

I've created a new ticket to do a test (T137495) on adding links to the Wikipedia / Wikimedia apps on the wikipedia.org portal page. This test will add links to the iOS and Android Wikipedia apps as well as a link to the official Wikimedia apps page.

I'm hesitant about adding in a link to f-droid for the Android app download (or alternate methods of downloads) onto the wikipedia.org portal page. But ultimately, I think that particular decision needs to be made by the Reading/Mobile team.

debt triaged this task as Medium priority.Sep 27 2016, 7:57 PM

I'm hesitant about adding in a link to f-droid for the Android app download (or alternate methods of downloads) onto the wikipedia.org portal page.

Why?
(I read the task summary but am not sure what the perceived problem is).

debt added a comment.Sep 28 2016, 1:50 PM

I'm hesitant because the mobile team hasn't made (or released) a version for f-droid, that I know of. As far as I'm aware, they've only published the apps to the stores at Apple and Google.

If the mobile team publishes the app to f-droid, I'm totally ok with adding that link as well...or, at a minimum, add it to the page of official Wikimedia apps for easy access.

I hope that helps to explain...!

I agree with limiting the Android app link to the official Google Play version (not the f-droid version). The f-droid maintainers are responsible for building and publishing our app in their database, which basically makes it a third-party distribution of our app (outside of WMF's control), meaning that their version of our app may not always be up-to-date, and can potentially contain modifications.

I see. Thanks for clarifying!

debt closed this task as Declined.Jan 6 2017, 12:35 AM
debt moved this task from Backlog to Done on the Discovery-Portal-Sprint board.

With the comments below (from T135441) and the earlier comments in this ticket, we won't be adding in a f-droid download link for the Android app link.

Based on the results the long term test (T135441) of the addition of the Wikipedia / Wikimedia app links to the Wikipedia.org portal page - all signs have shown that the addition of the links have been successful in aiding discovery for our visitors that there are mobile apps available for download.
The test results are calculated in T146807 for November and December 2016 for mobile and desktop devices as well as for iOS, Android and app page clickthroughs.
We've also had several calls to translate the text of the app links and now that the test has concluded, I've updated T154350, asking for translations to be added to translatewiki for these links, so that we can add them to the portal page (along with the other translations as described in T142582).
Since the app links will now be a permanent part of the wikipedia.org portal page, we will also add them to the portal dashboard stats, as described in T154634.

debt added a comment.Jan 9 2017, 7:02 PM

Hi @MZMcBride, yes, I believe that all the concerns have been addressed in the various tickets that were opened as a subtask of the epic ticket T135441 and in the comments on the talk page.

Please let me know if something hasn't been answered to satisfaction.